package com.unipi.talepis.protal2023_2;

public class StudentV2 {
    private final String name;
    private final float average;
    public StudentV2(StudentV2Builder builder) {
        this.name = builder.name;
        this.average = builder.average;
    }
    public StudentV2 replace(float average){
        return new StudentV2Builder()
                .name(this.name)
                .average(average)
                .build();
    }
    public String getName() {
        return name;
    }
    public float getAverage() {
        return average;
    }
    public static class StudentV2Builder{
        private String name;
        private float average;
        public StudentV2Builder name(String name){
            this.name = name;
            return this;
        }
        public StudentV2Builder average(float average){
            this.average = average;
            return this;
        }
        public StudentV2 build(){
            return new StudentV2(this);
        }
    }
}
